Bug 123085 - <time> tag not pasted / not recognized
Summary: <time> tag not pasted / not recognized
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.3.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:html
Depends on:
Blocks: HTML-Import
  Show dependency treegraph
 
Reported: 2019-01-31 11:38 UTC by rs
Modified: 2022-03-01 21:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Test document (589 bytes, text/html)
2019-01-31 11:43 UTC, rs
Details

Note You need to log in before you can comment on or make changes to this bug.
Description rs 2019-01-31 11:38:55 UTC
Description:
HTML content surrounded inside a <time> copied from the webbrowser will return nothing when pasted to a writer document. Could lead to some important and unnoticed data loss. 

Steps to Reproduce:
1. create a test.html file with the following: 
<html lang="en" dir="ltr" prefix="content: http://purl.org/rss/1.0/modules/content/  dc: http://purl.org/dc/terms/  foaf: http://xmlns.com/foaf/0.1/  og: http://ogp.me/ns#  rdfs: http://www.w3.org/2000/01/rdf-schema#  schema: http://schema.org/  sioc: http://rdfs.org/sioc/ns#  sioct: http://rdfs.org/sioc/types#  skos: http://www.w3.org/2004/02/skos/core#  xsd: http://www.w3.org/2001/XMLSchema# ">
  <head>
    <meta charset="utf-8" />
    <title>HTML time tag bug</title>
  </head>
  <body>
    <time datetime="1949-02-02T12:00:00Z" class="datetime">1949-02-02</time>
  </body>
</html>

2. open it in a browser and click Alt+AA (select all)
3. open a writer document and click Alt+V (paste)
4. change Options > Load/Save > HTML compatibility > Import unknown HTML tags as fields
5. try paste again. 
6. In the comments it shows the opening and closing tag proving that the pasted data did actually arrive (not a OS paste issue). 

Actual Results:
Nothing is pasted

Expected Results:
1949-02-02 is pasted


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Build ID: 1:6.1.3~rc2-0ubuntu0.16.04.1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: en-US (en_US.UTF-8); Calc: group threaded
Comment 1 rs 2019-01-31 11:43:23 UTC
Created attachment 148799 [details]
Test document
Comment 2 rs 2019-01-31 11:45:24 UTC
Pasted in a Calc cell will have the same result.
Comment 3 Julien Nabet 2019-02-01 08:24:03 UTC
Indeed, "time" isn't declared in https://opengrok.libreoffice.org/xref/core/include/svtools/htmlkywd.hxx?r=aad9c6da and so unknown as a html tag.
Comment 4 QA Administrators 2021-02-01 03:57:34 UTC
Dear rs,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug